Bug 1128796 - repos without a feed-url can be synced via products
Summary: repos without a feed-url can be synced via products
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Brad Buckingham
QA Contact: jcallaha
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-11 14:46 UTC by Kedar Bidarkar
Modified: 2017-02-23 21:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:13:56 UTC


Attachments (Terms of Use)
repos with feed still syncable (55.95 KB, image/png)
2014-08-11 14:46 UTC, Kedar Bidarkar
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC
Foreman Issue Tracker 7360 None None None 2016-04-22 15:03:20 UTC

Description Kedar Bidarkar 2014-08-11 14:46:08 UTC
Created attachment 925804 [details]
repos with feed still syncable

Description of problem:
repos without a feed-url can be synced via products.

1.  Create a product, "testproduct"
2.  Attempt to create a repo within "testproduct", called "testrepo"  do NOT provide a repourl
3.  Attempt to sync via moving to the "products page"-> Details Tab -> "Sync Now" button


Version-Release number of selected component (if applicable):
Sat6-GA-snap4

How reproducible:
always

Steps to Reproduce:
1.  Create a product, "testproduct"
2.  Attempt to create a repo within "testproduct", called "testrepo"  do NOT provide a repourl
3.  Attempt to sync via moving to the "products page"-> Details Tab -> "Sync Now" button

Actual results:
Repo's sync still possible via "products page" -> Details Tab -> "sync Now".

Expected results:
Not sure as to what should be solution, but
Looks like this scenario needs to be handled too.

Additional info:
Please refer to the below bug for a complete idea, related to this bug.

This bug is related to https://bugzilla.redhat.com/show_bug.cgi?id=1094986#c9

Comment 1 RHEL Product and Program Management 2014-08-11 14:54:04 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 Brad Buckingham 2014-09-05 13:04:03 UTC
Proposed fix in Katello PR: 
https://github.com/Katello/katello/pull/4640

The change addresses the following issues once the server accepts the request:
1. switch the button back from 'Syncing...' to 'Sync Now'
2. display a notification to the user to indicate that the sync has
been scheduled

The behavior provided here is similar to what is provided from the 'bulk product actions' UI.  In that scenario, it will allow the user to attempt to sync the product since it could consist repos with and without feed urls.

Comment 4 jcallaha 2014-12-05 21:57:35 UTC
*** This bug is verified in upstream.  This fix should eventually land in future downstream builds ***

Version Tested:
RHEL 65/66/7

ruby193-rubygem-foreman_hooks-0.3.7-2.el7.noarch
foreman-postgresql-1.8.0-0.develop.201412040955git563fa28.el7.noarch
qe-foreman-rhel7.usersys.redhat.com-qpid-client-cert-1.0-1.noarch
foreman-libvirt-1.8.0-0.develop.201412040955git563fa28.el7.noarch
ruby193-rubygem-foreman_bootdisk-4.0.2-1.el7.noarch
foreman-compute-1.8.0-0.develop.201412040955git563fa28.el7.noarch
ruby193-rubygem-foreman_discovery-1.4.1-1.el7.noarch
foreman-proxy-1.8.0-0.develop.201411261259git6ddd00d.el7.noarch
rubygem-hammer_cli_foreman_tasks-0.0.3-2.201409091410git163c264.git.0.988ca80.el7.noarch
qe-foreman-rhel7.usersys.redhat.com-foreman-proxy-1.0-1.noarch
foreman-release-1.8.0-0.develop.201412040955git563fa28.el7.noarch
foreman-gce-1.8.0-0.develop.201412040955git563fa28.el7.noarch
foreman-vmware-1.8.0-0.develop.201412040955git563fa28.el7.noarch
rubygem-hammer_cli_foreman-0.1.3-1.201411121216git9381fc5.el7.noarch
ruby193-rubygem-foreman-tasks-0.6.9-1.el7.noarch
foreman-ovirt-1.8.0-0.develop.201412040955git563fa28.el7.noarch
foreman-selinux-1.8.0-0.develop.201411281557gitf4a857f.el7.noarch
foreman-1.8.0-0.develop.201412040955git563fa28.el7.noarch
qe-foreman-rhel7.usersys.redhat.com-foreman-client-1.0-1.noarch
qe-foreman-rhel7.usersys.redhat.com-apache-1.0-1.noarch
qe-foreman-rhel7.usersys.redhat.com-parent-cert-1.0-1.noarch
ruby193-rubygem-foreman_docker-0.2.0-2.el7.noarch
qe-foreman-rhel7.usersys.redhat.com-puppet-client-1.0-1.noarch
qe-foreman-rhel7.usersys.redhat.com-qpid-broker-1.0-1.noarch

Comment 5 Bryan Kearney 2015-08-11 13:32:52 UTC
This bug is slated to be released with Satellite 6.1.

Comment 6 errata-xmlrpc 2015-08-12 05:13:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.